Package org.jbpm.process.core.context.variable

## Class Variable

- java.lang.Object
- - org.jbpm.process.core.context.variable.Variable

- All Implemented Interfaces:
    `Serializable`, `TypeObject`, `ValueObject`

      public class Variable
      extends Object
      implements TypeObject, ValueObject, Serializable

  Default implementation of a variable.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `READONLY_TAG` |
    `static String` | `REQUIRED_TAG` |
    `static String` | `VARIABLE_TAGS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Variable()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​Object>` | `getMetaData()` |
    `Object` | `getMetaData​(String name)` |
    `String` | `getName()` |
    `List<String>` | `getTags()` |
    `DataType` | `getType()` |
    `Object` | `getValue()` |
    `boolean` | `hasTag​(String tagName)` |
    `void` | `setMetaData​(String name, Object value)` |
    `void` | `setName​(String name)` |
    `void` | `setType​(DataType type)` |
    `void` | `setValue​(Object value)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### VARIABLE_TAGS

          public static final String VARIABLE_TAGS

      See Also:
        Constant Field Values

    - #### READONLY_TAG

          public static final String READONLY_TAG

      See Also:
        Constant Field Values

    - #### REQUIRED_TAG

          public static final String REQUIRED_TAG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Variable

          public Variable()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### getType

          public DataType getType()

      Specified by:
        `getType` in interface `TypeObject`

    - #### setType

          public void setType​(DataType type)

      Specified by:
        `setType` in interface `TypeObject`

    - #### getValue

          public Object getValue()

      Specified by:
        `getValue` in interface `ValueObject`

    - #### setValue

          public void setValue​(Object value)

      Specified by:
        `setValue` in interface `ValueObject`

    - #### setMetaData

          public void setMetaData​(String name,
                                  Object value)

    - #### getMetaData

          public Object getMetaData​(String name)

    - #### getMetaData

          public Map<String,​Object> getMetaData()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getTags

          public List<String> getTags()

    - #### hasTag

          public boolean hasTag​(String tagName)